SELinux - Bug #23127

Upgraded foreman-selinux has no label for 2375/tcp
04/05/2018 07:37 AM - Lukas Zapletal

Status: Closed

Priority: Normal

Assignee: Lukas Zapletal

Category:

Target version:

Difficulty: Fixed in Releases: 1.19.0
Triaged: No Found in Releases:

Bugzilla link: 1563766 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/78

Description

Description of problem:
Contrary to fresh install the upgraded foreman-selinux has foreman_container_port_t label defined only for 2376/tcp port

Version-Release number of selected component (if applicable):
foreman-selinux-1.15.6.2-1.el7sat.noarch

How reproducible:
upgraded from foreman-selinux-1.11 only

Steps to Reproduce:
1. Have a Sat6.2

1. rpm -q foreman-selinux
foreman-selinux-1.11.0.4-1.el7sat.noarch

2. Upgrade foreman-selinux with Sat6.3 foreman-selinux rpm
1. yum upgrade foreman-selinux-1.15.6.2-1.el7sat.noarch.rom
3. Check for foreman_container_port_t label

1. semanage port - |grep container
foreman_container_port_t tcp 2376

Actual results:
foreman_container_port_t tcp 2376

Expected results:
foreman_container_port_t tcp 2375
foreman_container_port_t tcp 2376

Associated revisions

Revision 1cc18be4 - 06/28/2018 02:34 PM - Lukas Zapletal
Fixes #23127 - docker upgrade path is correct

History

#1 - 04/05/2018 07:37 AM - Lukas Zapletal
- Bugzilla link set to 1563766

#2 - 04/05/2018 12:29 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-selinux/pull/78 added
#3 - 06/28/2018 03:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1cc18be4764f61267c4c8d7058d3fb119fd08974.

#4 - 08/29/2018 04:43 PM - Tomer Brisker
- Fixed in Releases 1.19.0 added
